<?php
namespace Claromentis\Mailgun\Model;

$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_d8e7d6018547d8c10e1de2e6a8a" . "a6858" => base64_decode("Zndy" . "aXRl"), "_aed8da0f1909" . "1214b78f80351" . "048517c" => base64_decode("c3" . "Ry" . "bG" . "Vu"));
use Claromentis\Core\Mail\Receive\Contract\MailAttachment;




class MailgunAttachmentString implements MailAttachment
{
    protected $name;
    protected $content;
    
    
    
    
    
    public function __construct(string $name, string $_24ca62b4d01cc6d515dfd0bea4c9d59a)
    {
        $this->name = $name;
        $this->content = $_24ca62b4d01cc6d515dfd0bea4c9d59a;
    }
    
    
    
    
    public function GetName() : string
    {
        return $this->name;
    }
    
    
    
    
    
    
    public function GetSize() : int
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_aed8da0f1909121" . "4b78f80351048517" . "c"]($this->content);
    }
    
    
    
    
    
    
    
    
    public function SaveToStream($_1cc5aa2f679b575f82786a73f0da28f8) : int
    {
        return (int) $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_d8e7d6018547d8c10e1de2e6a8aa" . "6858"]($_1cc5aa2f679b575f82786a73f0da28f8, $this->content);
    }
}